> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message Template

> Fetch a single message template by ID.



## OpenAPI

````yaml get /message-templates/{messageTemplateId}
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
  - name: Webhooks
  - name: Webhook Events
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /message-templates/{messageTemplateId}:
    parameters:
      - name: messageTemplateId
        in: path
        description: ID of the message template
        required: true
        schema:
          type: integer
          example: 2
    get:
      tags:
        - Message Templates
      summary: Get Message Template
      description: Fetch a single message template by ID.
      operationId: getMessageTemplate
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/message-template'
              example:
                id: 1912
                user_id: 2
                sub_account_id: null
                handwriting_style_id: 102
                font_size: small
                font_color: '#000000'
                name: Thank You Message Templates
                content: Dear %FIRST_NAME%\n\nThis is another test message.
                additional_pages: null
                skip_creative_generation: 0
                custom_background_url: null
                qrcode_url: https://www.google.com
                cc_emails: []
                created_at: '2026-08-05T02:38:44.000000Z'
                updated_at: '2026-08-05T02:39:04.000000Z'
                type: postcard
                giftcard_brand_code: ''
                giftcard_brand_image: null
                giftcard_amount: ''
                youtube_id: ''
                landing_page_url: ''
                share_uuid: TL9C-UUBP-SNT2-SX5Q
                brand_data:
                  brand_code: amazonus
                  title: Amazon.com
                  image: https://cdn.thanks.io/giftcards/amazonus.png
                  available_amounts:
                    - 500
                    - 1000
                    - 1500
                    - 2000
                    - 2500
                    - 3000
                    - 4000
                    - 5000
                    - 10000
                    - 20000
                handwriting_realism: false
        '403':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    message-template:
      type: object
      properties:
        id:
          type: integer
          example: 2
        user_id:
          type: integer
          example: 2
        sub_account_id:
          type:
            - integer
            - 'null'
        handwriting_style_id:
          type: integer
          description: ID of the handwriting style used in the message template
          example: 18
        font_size:
          type: integer
          description: Font size used in the message template.  Only valid for AI fonts
          enum:
            - auto
            - large
            - medium
            - small
        font_color:
          type: string
          description: Font color used in the message template.
          example: '#000000'
        handwriting_realism:
          type: boolean
          description: >-
            Handwriting realism level used in the message template. Only valid
            for AI fonts
        name:
          type: string
          example: Thank You Message
        content:
          type: string
          example: >-
            Hey %FIRST_NAME%!,


            THANK YOU for allowing us the opportunity to HELP you with your
            plan!
        additional_pages:
          type: string
          format: uri
          description: >-
            URL to additional pages to include with the cover letter. Only valid
            for letter templates.
        skip_creative_generation:
          type: integer
          description: >-
            Flag to skip creative generation.  Set when message template is PDF
            file only.
          example: 0
        custom_background_url:
          type: string
          description: >-
            URL of the custom background image for the message template. Only
            valid for postcard backs and the interior background of notecards
            and giftcards.
          example: https://example.com/background.png
        qrcode_url:
          type: string
          description: URL of the QR code image for the message template
          example: https://www.thanks.io
        cc_emails:
          type: array
          description: List of email addresses to be CC'd on when a QR code is scanned
          items:
            type: string
            format: email
        created_at:
          type: string
          format: date-time
          example: '2018-08-08T02:56:59.000000Z'
        updated_at:
          type: string
          format: date-time
          example: '2025-02-12T05:13:15.000000Z'
        type:
          type: string
          example: notecard
          enum:
            - postcard
            - postcard6x11
            - letter
            - windowlessletter
            - notecard
            - giftcard
            - magnacard
          description: Type of the message template
        giftcard_brand_code:
          type: string
          description: Brand code of the gift card
          example: amazonus
        giftcard_brand_image:
          type: string
          description: Image URL of the gift card brand
          example: https://cdn.thanks.io/giftcards/amazonus.png
        giftcard_amount:
          type: integer
          description: Amount of the gift card in cents
          example: 5000
        landing_page_url:
          type: string
          format: uri
          description: >-
            URL of the gated landing page (also known as a gating URL).
            Recipients must visit this page before they can redeem the gift
            card, letting you gate redemption behind an action such as booking a
            demo or completing a form. Only valid for giftcards.
        share_uuid:
          type: string
          example: 5J5N-QAD3-6LLL-LSZZ
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````